// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "BasePawn.h"
#include "PlayerPawn.generated.h"

class UCameraComponent;

/**
 * 
 */
UCLASS()
class PRESIDENTSBRIGADE_API APlayerPawn : public ABasePawn
{
	GENERATED_BODY()
public:
	// Sets default values for this pawn's properties
	APlayerPawn(const FObjectInitializer &object_initializer);
	
	// Called to bind functionality to input
	virtual void SetupPlayerInputComponent(class UInputComponent* PlayerInputComponent) override;
protected:
	UPROPERTY(EditAnywhere, Category="Player")
	UCameraComponent* main_camera;
};
